Retrieves details for a station
curl --request GET \
--url https://api.chargecloud.dev/api/v1/assets/stations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chargecloud.dev/api/v1/assets/stations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chargecloud.dev/api/v1/assets/stations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"station": {
"id": 123,
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"modification_date": "2023-12-25",
"chargepoints": [
{
"chargepoint_evse_id": "<string>"
}
],
"location_id": 1,
"controller_id": 123,
"export": true,
"evse": "<string>",
"position": "<string>",
"start_date": "2023-12-25",
"target_date": "2023-12-25",
"active_date": "2023-12-25",
"out_of_order_date": "2023-12-25",
"ip_protection_type": "<string>",
"particularities": "<string>",
"manufacturer": "<string>",
"model": "<string>",
"green_power": false,
"vehicle_communication_type_id": 123,
"serial_number": 123,
"sticker": "<string>",
"color": "<string>",
"automatic_rebootable_rccb": false,
"house_connection_box": false,
"connection_cable": "<string>",
"closing": "<string>",
"building_level": "<string>",
"parking_fees": "<string>",
"crash_protection": false,
"mark": "<string>",
"comment": "<string>",
"ceiling_height": 123,
"investment_manager": "<string>",
"project": "<string>",
"order_number": "<string>",
"notification_number": "<string>",
"internal_comment": "<string>",
"upstream_supply_network": "<string>",
"protective_switch_devices": "<string>",
"full_safeguarding": 123,
"open_24_7": false,
"block_reservation": false,
"article_number": "<string>",
"conform_with_calibration_law": false,
"has_payment_terminal": false,
"iso_instance": "<string>",
"calibration_law_deadline": "2023-12-25"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
{
"errorKey": "<string>",
"message": "<string>",
"parameter": "<string>"
}
]
}{
"error": "<string>"
}Stations
Retrieves details for a station
Retrieves details for a station. Required permission: assets:station:read
GET
/
api
/
v1
/
assets
/
stations
/
{id}
Retrieves details for a station
Was this page helpful?
⌘I